<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/platform/mmwave_xwr14xx.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li><li class="navelem"><a class="el" href="dir_d4914e1d2697d433e0a305cdcf08932b.html">platform</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmwave_xwr14xx.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the XWR14xx port for the mmWave control module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave_8h.html">ti/control/mmwave/mmwave.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave__internal_8h.html">ti/control/mmwave/include/mmwave_internal.h</a>&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a471d53d20d62cc2ac1c3e796d567489c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a471d53d20d62cc2ac1c3e796d567489c">MMWave_deviceGetDeviceInfo</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, rlUInt8_t *devType, rlUInt8_t *platform)</td></tr>
<tr class="separator:a471d53d20d62cc2ac1c3e796d567489c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#afdcbf7110158c69a5ffc4904f724e9cd">MMWave_deviceCfgAsyncEvent</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a31dc34698d7021ecbfae0ee20b5c4427">MMWave_deviceInitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85777c931fa701c8606025b618761d41"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a85777c931fa701c8606025b618761d41">MMWave_deviceDeinitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a85777c931fa701c8606025b618761d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44066303f349dad25eef03253301ea26"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a44066303f349dad25eef03253301ea26">MMWave_deviceCfgFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:a44066303f349dad25eef03253301ea26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964962a52b49a1198f419fcb6b70f75a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a964962a52b49a1198f419fcb6b70f75a">MMWave_deviceOpenFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a964962a52b49a1198f419fcb6b70f75a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2405d5a792b1b110eb9add5c01232098"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a2405d5a792b1b110eb9add5c01232098">MMWave_deviceCloseFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a2405d5a792b1b110eb9add5c01232098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#aaa200068c72ce4a1cd11878b695cfdf3">MMWave_deviceStartFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44426d424025b9029b38a4b09f6b1b01"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a44426d424025b9029b38a4b09f6b1b01">MMWave_deviceStopFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a44426d424025b9029b38a4b09f6b1b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47d1d1932e75944381f322747aea6bba"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a47d1d1932e75944381f322747aea6bba">MMWave_deviceSyncFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a47d1d1932e75944381f322747aea6bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a642f15f1f9dbe96278b9f7d631aec015"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a642f15f1f9dbe96278b9f7d631aec015">MMWave_deviceEventFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:a642f15f1f9dbe96278b9f7d631aec015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21eec852386035f37dbd792fd1d28b8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__xwr14xx_8c.html#a21eec852386035f37dbd792fd1d28b8d">MMWave_deviceExecuteFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a21eec852386035f37dbd792fd1d28b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the XWR14xx port for the mmWave control module. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="afdcbf7110158c69a5ffc4904f724e9cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgAsyncEvent </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the asynchronous events. On the XWR14xx the MSS is the default handler for all asynchronous events and this is the default behavior for the BSS. We only need to configure if the start/stop asynchronous events are enabled or disabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44066303f349dad25eef03253301ea26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the configuration for the XWR14xx. There is only the MSS executing in the system here so we dont need to have any additional handling of the configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the mmWave control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2405d5a792b1b110eb9add5c01232098"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCloseFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to close the mmWave control module on XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a85777c931fa701c8606025b618761d41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceDeinitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize the mmWave on XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a642f15f1f9dbe96278b9f7d631aec015"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceEventFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>msgId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>payload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link asynchronous events for the XWR14xx. There is only the MSS executing in the system here so we dont need to have any additional handling.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a21eec852386035f37dbd792fd1d28b8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceExecuteFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to execute the XWR14xx SOC specific execution for mmWave. There is nothing to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a471d53d20d62cc2ac1c3e796d567489c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceGetDeviceInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>devType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>platform</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the mmWave link device information. On the XWR14xx the link always executes only on the MSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">devType</td><td>Device Type populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">platform</td><td>Platform populated by the API</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Device</td><td>Type as specified by the mmWave Link </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a31dc34698d7021ecbfae0ee20b5c4427"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceInitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize mmWave on XWR14xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a964962a52b49a1198f419fcb6b70f75a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceOpenFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to open the mmWave control module on XWR14xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa200068c72ce4a1cd11878b695cfdf3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStartFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link start for the XWR14xx. There is only the MSS executing in the system here so nothing additional needs to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44426d424025b9029b38a4b09f6b1b01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStopFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link stop for the XWR14xx. There is only the MSS executing in the system here so nothing additional needs to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47d1d1932e75944381f322747aea6bba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceSyncFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to synchronize mmWave on XWR14xx. Since only the MSS executes on the system the module is always synchronized.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>- Always synchronized </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
